Subject: RE: draft-touch-ipsec-vpn-06.txt

From: "Claudio Lordello" <[email-masked]>
Date: Fri, 23 Jan 2004 10:44:51 -0500

Lars Eggert wrote:
> As for the sentence you quoted, I agree that re-stating it may be 
> useful. What do you think about this instead:
> 
> "It describes how virtual links established by IPsec tunnel mode
> can conflict with routing and forwarding inside the VN, due to the IP
> routing dependence on references to interfaces and next-hop IP
> addresses."
> 

The "can" does soften the statement a bit, but still leaves it unclear as to when exactly tunnel mode does or does not conflict with routing. If I  understood correctly what you [the authors] are saying, would you agree that the following correctly states your position: "While some existing IPsec tunnel implementations have no problems with routing, its specification does not mandate all implementations to behave that way. As a consequence, other implementations will conflict with routing". If it does, would you and give it some consideration.

However, the text I quoted was just an example. The draft repeats similar statements in other places, and those could also be reworded (or perhaps even removed given that they have already been stated earlier, but that's a different issue). Another example would be the second paragraph on the "Introduction" section. There may be others too.

Claudio.